<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>

	<style type="text/css" media="screen">
		div{
			display: inline-block;
		}

		.boton{
			border: 1px black solid;
			padding: 5px;
			margin: 5px;
		}
	</style>

	<script type="text/javascript">
		function introduce(tecla){
			document.querySelector("#caja").value += tecla.innerHTML;
		}
		function limpiar() {
			document.querySelector("#caja").value = "";
		}
	</script>

</head>
<body >
	<div id="uno" class="boton" onclick="introduce(this)">1</div>
	<div id="dos" class="boton" onclick="introduce(this)">2</div>
	<div id="tres" class="boton" onclick="introduce(this)">3</div>
	<br/>
	<input type="text" name="texto" id="caja">
	<br/>
	<div id="limpiar" class="boton" onclick="limpiar()">C</div>
</body>
</html>